Bug 1078364 - [HPC] mpitest fails after changes to gnu-compilers-hpc
[HPC] mpitest fails after changes to gnu-compilers-hpc
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
All Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Nicolas Morey-Chaisemartin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-30 19:56 UTC by Egbert Eich
Modified: 2020-05-13 20:05 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egbert Eich 2018-01-30 19:56:03 UTC
mpivars.(c)sh hard codes the 'module load' command for the compiler. This changes in how the compiler version granularity is handled is not reflected automatically in this script.
This can be fixed by using the %hpc_setup_compiler macro instead.
This needs to be fixed in all the HPC enabled MPI packages.
Comment 1 Egbert Eich 2018-01-30 20:20:20 UTC
Nicolas, I've submitted fixes. 
Please check SR#571219, SR#571220, SR#571221, SR#571222, SR#571223.
Comment 2 Egbert Eich 2018-01-30 21:04:23 UTC
Please also SR this to SUSE:SLE-15:GA.
Comment 3 Swamp Workflow Management 2018-01-31 15:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1078364) was mentioned in
https://build.opensuse.org/request/show/571421 Factory / mpich
https://build.opensuse.org/request/show/571422 Factory / openmpi
https://build.opensuse.org/request/show/571423 Factory / openmpi2
https://build.opensuse.org/request/show/571424 Factory / openmpi3
https://build.opensuse.org/request/show/571425 Factory / mvapich2
Comment 4 Egbert Eich 2018-01-31 15:10:12 UTC
I guess this one is done. Let's close it.
Comment 6 Swamp Workflow Management 2020-02-20 11:12:11 UTC
SUSE-RU-2020:0425-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1047218,1074890,1078364,1080259,1084909,1086821,1091714,1098653,1116458,1125651,1132949,1155863
CVE References: 
Sources used:
SUSE Linux Enterprise Module for HPC 15-SP1 (src):    openmpi_3_1_4-gnu-hpc-3.1.4-3.3.8

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.